searchData={"items":[{"type":"module","title":"OpentelemetryOban","doc":"OpentelemetryOban uses [telemetry](https://hexdocs.pm/telemetry/) handlers to\ncreate `OpenTelemetry` spans from Oban events.\n\nSupported events include job start/stop and also when an exception is raised.","ref":"OpentelemetryOban.html"},{"type":"module","title":"Usage - OpentelemetryOban","doc":"In your application start:\n\n    def start(_type, _args) do\n      OpentelemetryOban.setup()\n\n      # ...\n    end","ref":"OpentelemetryOban.html#module-usage"},{"type":"function","title":"OpentelemetryOban.insert/2","doc":"","ref":"OpentelemetryOban.html#insert/2"},{"type":"function","title":"OpentelemetryOban.insert/4","doc":"","ref":"OpentelemetryOban.html#insert/4"},{"type":"function","title":"OpentelemetryOban.insert!/2","doc":"","ref":"OpentelemetryOban.html#insert!/2"},{"type":"function","title":"OpentelemetryOban.insert_all/2","doc":"","ref":"OpentelemetryOban.html#insert_all/2"},{"type":"function","title":"OpentelemetryOban.insert_all/4","doc":"","ref":"OpentelemetryOban.html#insert_all/4"},{"type":"function","title":"OpentelemetryOban.setup/1","doc":"Initializes and configures telemetry handlers.\n\nBy default jobs and plugins are traced. If you wish to trace only jobs then\nuse:\n\n    OpentelemetryOban.setup(trace: [:jobs])\n\nNote that if you don't trace plugins, but inside the plugins, there are spans\nfrom other instrumentation libraries (e.g. ecto) then these will still be\ntraced. This setting controls only the spans that are created by\nopentelemetry_oban.","ref":"OpentelemetryOban.html#setup/1"},{"type":"module","title":"OpentelemetryOban.JobHandler","doc":"","ref":"OpentelemetryOban.JobHandler.html"},{"type":"function","title":"OpentelemetryOban.JobHandler.attach/0","doc":"","ref":"OpentelemetryOban.JobHandler.html#attach/0"},{"type":"function","title":"OpentelemetryOban.JobHandler.handle_job_exception/4","doc":"","ref":"OpentelemetryOban.JobHandler.html#handle_job_exception/4"},{"type":"function","title":"OpentelemetryOban.JobHandler.handle_job_start/4","doc":"","ref":"OpentelemetryOban.JobHandler.html#handle_job_start/4"},{"type":"function","title":"OpentelemetryOban.JobHandler.handle_job_stop/4","doc":"","ref":"OpentelemetryOban.JobHandler.html#handle_job_stop/4"},{"type":"module","title":"OpentelemetryOban.PluginHandler","doc":"","ref":"OpentelemetryOban.PluginHandler.html"},{"type":"function","title":"OpentelemetryOban.PluginHandler.attach/0","doc":"","ref":"OpentelemetryOban.PluginHandler.html#attach/0"},{"type":"function","title":"OpentelemetryOban.PluginHandler.handle_plugin_exception/4","doc":"","ref":"OpentelemetryOban.PluginHandler.html#handle_plugin_exception/4"},{"type":"function","title":"OpentelemetryOban.PluginHandler.handle_plugin_start/4","doc":"","ref":"OpentelemetryOban.PluginHandler.html#handle_plugin_start/4"},{"type":"function","title":"OpentelemetryOban.PluginHandler.handle_plugin_stop/4","doc":"","ref":"OpentelemetryOban.PluginHandler.html#handle_plugin_stop/4"},{"type":"extras","title":"OpentelemetryOban","doc":"# OpentelemetryOban\n\nOpentelemetryOban uses [telemetry](https://hexdocs.pm/telemetry/) handlers to\ncreate `OpenTelemetry` spans from Oban events.","ref":"readme.html"},{"type":"extras","title":"Installation - OpentelemetryOban","doc":"The package can be installed by adding `opentelemetry_oban` to your list of\ndependencies in `mix.exs`:\n\n```elixir\ndef deps do\n  [\n    {:opentelemetry_oban, \"~> 1.0\"}\n  ]\nend\n```\n\nIn your application start:\n\n```elixir\n    def start(_type, _args) do\n      OpentelemetryOban.setup()\n\n      # ...\n    end\n```","ref":"readme.html#installation"},{"type":"extras","title":"Usage - OpentelemetryOban","doc":"By default a new trace is automatically started when a job is processed.\n\nTo also record a span when a job is created and to link traces together\n`Oban.insert/2` has to be replaced by `OpentelemetryOban.insert/2`.\n\nBefore:\n\n```elixir\n  %{id: 1, in_the: \"business\", of_doing: \"business\"}\n  |> MyApp.Business.new()\n  |> Oban.insert()\n```\n\nAfter:\n\n```elixir\n  %{id: 1, in_the: \"business\", of_doing: \"business\"}\n  |> MyApp.Business.new()\n  |> OpentelemetryOban.insert()\n```\n\nOban also supports inserting jobs using `Oban.insert/4` and `Oban.insert_all/4`.\nThese are currently not supported by OpentelemetryOban and are just proxied through to Oban.","ref":"readme.html#usage"}],"producer":{"name":"ex_doc","version":[48,46,51,52,46,49]},"content_type":"text/markdown"}